import { FormConfig } from "/@/components/PageSearch";
import { STATUS_OPTIONS } from "/@/config/status";
import { convertOptions } from "/@/utils/column-helper";
import { httpList as httpCompanylist } from "/@/api/parameter/company";
const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      options: convertOptions(STATUS_OPTIONS)
    },
    {
      field: "id",
      type: "remote-select",
      placeholder: "业务企业",
      otherOptions: {
        api: httpCompanylist,
        requesetProp: "title",
        responseLabelProp: "title",
        responseValPro: "id",
        prop: "list"
      }
    },
    {
      field: "title",
      type: "input",
      placeholder: "企业名称"
    },
    {
      field: "contacts",
      type: "input",
      placeholder: "联系人"
    },
    {
      field: "mobile",
      type: "input",
      placeholder: "联系方式"
    }
  ]
};

export default searchFormConfig;
